検証コントロールのトースト通知機能について解説します。
概要
notify(またはdefaultNotify)プロパティのtoastプロパティを使用することで、検証結果を通知するトーストの表示可否(boolean)を設定できますが、このtoastプロパティには、通知のスタイル、通知の方向や配置位置などを調整する機能もあります。また、通知のレイアウトに適用するテンプレートもこのプロパティから設定可能です。
通知の表示位置
トースト通知の表示位置は、positionプロパティから設定可能です。設定可能な値(ToastPosition列挙体)は、以下の通りです。デフォルト値はTopRightです。
値
説明
TopRight
トースト通知をコントロールの右上に表示します。(既定値)
TopLeft
トースト通知をコントロールの左上に表示します。
TopCenter
トースト通知をコントロールの上中央に表示します。
BottomRight
トースト通知をコントロールの右下に表示します。
BottomLeft
トースト通知をコントロールの左下に表示します。
BottomCenter
トースト通知をコントロールの下中央に表示します。
たとえば、トーストを画面の右下に表示したい場合のサンプルコードは、以下の通りです。(toastプロパティの設定部分のみ抜粋)
通知の表示時間
トーストの表示時間は、durationプロパティで秒単位で設定できます。例えば、表示時間を3秒に設定する場合は、次のように設定します。デフォルト値は4.5秒です。0に設定した場合はユーザーが手動で閉じるまで消えません。
通知のプログレスバー
プログレスバーはトーストの有効期限が切れるまでの時間を視覚的に示します。showProgressプロパティをtrueに設定すると、プログレスバーの表示を有効にします。デフォルト値はtrueです。
また、showProgressプロパティをtrueに設定すると、トーストメッセージにマウスオーバーする際に一時停止を設定することもできます。
閉じるボタン
showCloseプロパティをtrueまたはfalseに設定すると、トーストの閉じるボタンを表示/非表示に設定できます。デフォルト値はtrueです。
通知のテンプレート
templateプロパティを使用することで、トーストの表示内容を定義するテンプレートを適用することが可能です。
以下は、トースト通知の背景色と文字色などをテンプレートで設定したサンプルコードです。
import { bootstrapApplication } from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { InputManModule } from '@mescius/inputman.angular';
import '@mescius/inputman/CSS/gc.inputman-js.css';
import { Component, enableProdMode, AfterViewInit } from '@angular/core';
import GC from '@mescius/inputman';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: './app.component.html',
imports: [InputManModule, BrowserModule, FormsModule],
standalone: true,
})
export class AppComponent implements AfterViewInit {
ngOnInit(): void {
GC.InputMan.appearanceStyle = GC.InputMan.AppearanceStyle.Modern;
}
ngAfterViewInit(): void {
this.update();
}
public gcTextBox: GC.InputMan.GcTextBox;
public duration: number = 5;
public position: number = 0;
public showProgress: boolean = true;
public showClose: boolean = true;
public pauseOnHover: boolean = true;
public useTemplate: boolean = false;
private validator: GC.InputMan.GcValidator;
private toastPosition = [
GC.InputMan.ToastPosition.TopLeft,
GC.InputMan.ToastPosition.TopCenter,
GC.InputMan.ToastPosition.TopRight,
GC.InputMan.ToastPosition.BottomLeft,
GC.InputMan.ToastPosition.BottomCenter,
GC.InputMan.ToastPosition.BottomRight,
];
private template = (context: GC.InputMan.ToastTemplateContext) => {
const content = document.createElement('div');
content.innerHTML = `
<div class='rule' style="margin-left:3rem">テンプレート</div>
<div style="color:red;min-width:20.5rem;margin-left:3rem">${context.message}</div>
`;
content.addEventListener('click', function () {
context.close();
});
return content;
};
update() {
if (this.validator) {
this.validator.destroy();
}
this.validator = new GC.InputMan.GcValidator({
items: [
{
control: this.gcTextBox,
ruleSet: [
{
rule: GC.InputMan.ValidateType.BetweenOrEqualToMinAndMaxLength,
inputMaxLength: 8,
inputMinLength: 4,
successMessage: (control) => `検証が成功しました。`,
failMessage: (control) => `検証が失敗しました。`,
},
],
validateWhen: GC.InputMan.ValidateWhen.Typing,
},
],
defaultNotify: {
fail: {
toast: {
title: '検証失敗',
position: this.toastPosition[this.position],
duration: this.duration,
showProgress: this.showProgress,
showClose: this.showClose,
pauseOnHover: this.pauseOnHover,
template: this.useTemplate ? this.template : undefined,
},
},
success: {
toast: {
title: '検証成功',
position: this.toastPosition[this.position],
duration: this.duration,
showProgress: this.showProgress,
showClose: this.showClose,
pauseOnHover: this.pauseOnHover,
template: this.useTemplate ? this.template : undefined,
},
},
},
});
this.validator.validate();
this.validator.refresh();
}
}
enableProdMode();
bootstrapApplication(AppComponent).catch((err) => console.error(err));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="" lang="ja" xml:lang="ja" />
<title>検証コントロール - 通知 - トースト通知</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
window.onload = function() {
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
}
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div>
<gc-text-box (onInitialized)="gcTextBox=$event" [width]="200" [text]="'トースト通知'"></gc-text-box>
</div>
<table class="sample">
<tbody>
<tr>
<th>表示時間</th>
<td>
<gc-number [minValue]="0" [maxValue]="10" [(value)]="duration" (onValueChanged)="update()"></gc-number>
</td>
</tr>
<tr>
<th>表示位置</th>
<td>
<select [(ngModel)]="position" class="update" (change)="update()">
<option value="0">左上</option>
<option value="1">上中央</option>
<option value="2">右上</option>
<option value="3">左下</option>
<option value="4">下中央</option>
<option value="5">右下</option>
</select>
</td>
</tr>
<tr>
<th>プログレスバーを表示する</th>
<td>
<label><input type="checkbox" [(ngModel)]="showProgress" class="update" (change)="update()"/>表示する</label><br />
</td>
</tr>
<tr>
<th>閉じるボタン</th>
<td>
<label><input type="checkbox" [(ngModel)]="showClose" class="update" (change)="update()"/>表示する</label><br />
</td>
</tr>
<tr>
<th>ホバー時に一時停止</th>
<td>
<label><input type="checkbox" [(ngModel)]="pauseOnHover" class="update" (change)="update()"/>停止する</label><br />
</td>
</tr>
<tr>
<th>通知のテンプレート</th>
<td>
<label><input type="checkbox" [(ngModel)]="useTemplate" class="update" (change)="update()"/>テンプレートを使って表示</label><br />
</td>
</tr>
</tbody>
</table>
.gcim-layout[ctrl-type='GcTextBox'] {
margin: 8rem 15rem 2rem 15rem;
}
[gcim-control-appearance='modern'] .gcim-layout[ctrl-type='GcTextBox'] {
margin: 8rem 15rem 2rem 15rem;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
//'reflect-metadata': 'npm:reflect-metadata/Reflect.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
//'rxjs': 'npm:rxjs',
//'rxjs/operators': 'npm:rxjs/operators',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.angular': 'npm:@mescius/inputman.angular/fesm2015/mescius-inputman.angular.mjs',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.angular': 'npm:@mescius/inputman.richtexteditor.angular/fesm2015/mescius-inputman.richtexteditor.angular.mjs',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.angular': 'npm:@mescius/inputman.comment.angular/fesm2015/mescius-inputman.comment.angular.mjs',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib': 'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts',
meta: {
"*.component.ts": {
loader: "system.component-loader.js"
}
}
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"@mescius/inputman": {
defaultExtension: 'js'
},
"@mescius/inputman.richtexteditor": {
defaultExtension: 'js'
},
"@mescius/inputman.comment": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.comment.angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
},
"@mescius/inputman.richtexteditor.angular": {
defaultExtension: 'mjs'
},
}
});
})(this);

検証コントロールのトースト通知機能について解説します。
概要
notify(またはdefaultNotify)プロパティのtoastプロパティを使用することで、検証結果を通知するトーストの表示可否(boolean)を設定できますが、このtoastプロパティには、通知のスタイル、通知の方向や配置位置などを調整する機能もあります。また、通知のレイアウトに適用するテンプレートもこのプロパティから設定可能です。
通知の表示位置
トースト通知の表示位置は、positionプロパティから設定可能です。設定可能な値(ToastPosition列挙体)は、以下の通りです。デフォルト値はTopRightです。
値
説明
TopRight
トースト通知をコントロールの右上に表示します。(既定値)
TopLeft
トースト通知をコントロールの左上に表示します。
TopCenter
トースト通知をコントロールの上中央に表示します。
BottomRight
トースト通知をコントロールの右下に表示します。
BottomLeft
トースト通知をコントロールの左下に表示します。
BottomCenter
トースト通知をコントロールの下中央に表示します。
たとえば、トーストを画面の右下に表示したい場合のサンプルコードは、以下の通りです。(toastプロパティの設定部分のみ抜粋)
通知の表示時間
トーストの表示時間は、durationプロパティで秒単位で設定できます。例えば、表示時間を3秒に設定する場合は、次のように設定します。デフォルト値は4.5秒です。0に設定した場合はユーザーが手動で閉じるまで消えません。
通知のプログレスバー
プログレスバーはトーストの有効期限が切れるまでの時間を視覚的に示します。showProgressプロパティをtrueに設定すると、プログレスバーの表示を有効にします。デフォルト値はtrueです。
また、showProgressプロパティをtrueに設定すると、トーストメッセージにマウスオーバーする際に一時停止を設定することもできます。
閉じるボタン
showCloseプロパティをtrueまたはfalseに設定すると、トーストの閉じるボタンを表示/非表示に設定できます。デフォルト値はtrueです。
通知のテンプレート
templateプロパティを使用することで、トーストの表示内容を定義するテンプレートを適用することが可能です。
以下は、トースト通知の背景色と文字色などをテンプレートで設定したサンプルコードです。
<template>
<div>
<GcTextBoxComponent ref="textBoxRef" :text="'トースト通知'" :width="200" style="margin: 8rem 15rem 2rem 15rem" />
<table class="sample">
<tbody>
<tr>
<th>表示時間</th>
<td>
<GcNumberComponent v-model="duration" :min-value="0" :max-value="10" />
</td>
</tr>
<tr>
<th>表示位置</th>
<td>
<select v-model="position" class="update">
<option v-for="(pos, index) in positionOptions" :key="index" :value="index">
{{ pos }}
</option>
</select>
</td>
</tr>
<tr>
<th>プログレスバーを表示する</th>
<td>
<label><input type="checkbox" v-model="showProgress" class="update" />表示する</label><br />
</td>
</tr>
<tr>
<th>閉じるボタン</th>
<td>
<label><input type="checkbox" v-model="showClose" class="update" />表示する</label><br />
</td>
</tr>
<tr>
<th>ホバー時に一時停止</th>
<td>
<label><input type="checkbox" v-model="pauseOnHover" class="update" />停止する</label><br />
</td>
</tr>
<tr>
<th>通知のテンプレート</th>
<td>
<label><input type="checkbox" v-model="useTemplate" class="update" />テンプレートを使って表示</label><br />
</td>
</tr>
</tbody>
</table>
</div>
</template>
<script setup>
import '@mescius/inputman/CSS/gc.inputman-js.css';
import { ref, watch, onMounted } from 'vue';
import { InputMan } from '@mescius/inputman';
import { GcTextBoxComponent, GcNumberComponent } from '@mescius/inputman.vue';
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const textBoxRef = ref(null);
const duration = ref(5);
const position = ref(0);
const showProgress = ref(true);
const showClose = ref(true);
const pauseOnHover = ref(true);
const useTemplate = ref(false);
const positionOptions = ['左上', '上中央', '右上', '左下', '下中央', '右下'];
const toastPosition = [
InputMan.ToastPosition.TopLeft,
InputMan.ToastPosition.TopCenter,
InputMan.ToastPosition.TopRight,
InputMan.ToastPosition.BottomLeft,
InputMan.ToastPosition.BottomCenter,
InputMan.ToastPosition.BottomRight,
];
const template = (context) => {
const content = document.createElement('div');
content.innerHTML = `
<div class='rule' style="margin-left:3rem">テンプレート</div>
<div style="color:red;min-width:20.5rem;margin-left:3rem">${context.message}</div>
`;
content.addEventListener('click', function () {
context.close();
});
return content;
};
let validator = null;
const updateValidator = () => {
if (validator) {
validator.destroy();
}
validator = new InputMan.GcValidator({
items: [
{
control: textBoxRef.value.getNestedIMControl(),
ruleSet: [
{
rule: InputMan.ValidateType.BetweenOrEqualToMinAndMaxLength,
inputMaxLength: 8,
inputMinLength: 4,
successMessage: (control) => `検証が成功しました。`,
failMessage: (control) => `検証が失敗しました。`,
},
],
validateWhen: InputMan.ValidateWhen.Typing,
},
],
defaultNotify: {
fail: {
toast: {
title: '検証失敗',
position: toastPosition[position.value],
duration: duration.value,
showProgress: showProgress.value,
showClose: showClose.value,
pauseOnHover: pauseOnHover.value,
template: useTemplate.value ? template : undefined,
},
},
success: {
toast: {
title: '検証成功',
position: toastPosition[position.value],
duration: duration.value,
showProgress: showProgress.value,
showClose: showClose.value,
pauseOnHover: pauseOnHover.value,
template: useTemplate.value ? template : undefined,
},
},
},
});
validator.validate();
validator.refresh();
};
watch([duration, position, showProgress, showClose, pauseOnHover, useTemplate], () => {
updateValidator();
});
onMounted(() => {
updateValidator();
});
</script>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="" lang="ja" xml:lang="ja" />
<title>検証コントロール - 通知 - トースト通知</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
window.onload = function() {
var System = SystemJS;
System.import("./src/app.js");
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/inputman": 'npm:@mescius/inputman/index.js',
"@mescius/inputman.vue": 'npm:@mescius/inputman.vue/lib/gc.inputman.plugin.vue.js',
"@mescius/inputman/CSS": "npm:@mescius/inputman/CSS",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.vue": "npm:/@mescius/inputman.richtexteditor.vue/lib/gc.inputman.richtexteditor.plugin.vue.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
"@mescius/inputman.comment": 'npm:@mescius/inputman.comment/index.js',
"@mescius/inputman.comment.vue": 'npm:@mescius/inputman.comment.vue/lib/gc.inputman.comment.plugin.vue.js',
"@mescius/inputman.comment/CSS": "npm:@mescius/inputman.comment/CSS",
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures/wijmo.culture.ja.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);